> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ndovu.co/llms.txt
> Use this file to discover all available pages before exploring further.

# List the document types you can upload for your customers

> Empty for a REFERENCED identityPolicy, which cannot upload documents.



## OpenAPI

````yaml /api-reference/openapi.json get /api/v3/partners/{shortName}/document-types
openapi: 3.0.0
info:
  title: Ndovu Partner API
  description: API for partners distributing Ndovu investment products to their customers.
  version: '3'
  contact: {}
servers:
  - url: https://be-dev-1.dev.ndovu.co
    description: Development
security: []
tags: []
paths:
  /api/v3/partners/{shortName}/document-types:
    get:
      tags:
        - partners
      summary: List the document types you can upload for your customers
      description: Empty for a REFERENCED identityPolicy, which cannot upload documents.
      operationId: PartnerCustomersController_listDocumentTypes_v3
      parameters:
        - name: shortName
          required: true
          in: path
          description: Your partner short name
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/PartnerDocumentTypeDto'
      security:
        - bearer: []
components:
  schemas:
    PartnerDocumentTypeDto:
      type: object
      properties:
        shortName:
          type: string
          example: id-card
        name:
          type: string
          example: National ID card
        requiredSides:
          nullable: true
          example:
            - front
            - back
          type: array
          items:
            type: string
        allowedMimeTypes:
          nullable: true
          example:
            - image/jpeg
            - image/png
            - application/pdf
          type: array
          items:
            type: string
        maxFileSizeBytes:
          type: number
          nullable: true
          example: 5242880
      required:
        - shortName
        - name
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.